curl --request POST \
--url https://api.synctera.com/v2/cards/images/{card_image_id}/data \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: image/jpeg' \
--data '"<string>"'import requests
url = "https://api.synctera.com/v2/cards/images/{card_image_id}/data"
payload = "<string>"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "image/jpeg"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'image/jpeg'},
body: JSON.stringify('<string>')
};
fetch('https://api.synctera.com/v2/cards/images/{card_image_id}/data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"card_product_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"status": "APPROVED",
"rejection_memo": "<string>",
"rejection_reason": "BRANDED"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Upload Card Image
Upload card image data
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Path Parameters
The unique identifier of a card image
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Body
Binary image data
The body is of type file.
Response
Card image data was successfully uploaded
The unique identifier of a cards product
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The unique identifier of a customer
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The unique identifier of a card image
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The status of a custom card image
APPROVED, NOT_UPLOADED, REJECTED, UNREVIEWED The category of reason that a card image was rejected
BRANDED, COPYRIGHT, INAPPROPRIATE, OTHER, PROMOTIONAL, TRADEMARK Was this page helpful?

